Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class VssRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.VssRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class VssRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for VssRepository. Microsoft visual source safe adaptor

See Also:
  Serialized Form

Constructor Summary
`VssRepositoryFacade()`

Method Summary
`java.lang.String` | `getDateTimeFormat()` OGNL: Specify the date time format used for the Sourcesafe history command.
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`java.lang.String` | `getSsExePath()` OGNL: Path to your ss.exe.
`java.lang.String` | `getVssDbPath()` OGNL: The directory where your srcsafe.ini resides in.
`java.lang.String` | `getVssPassword()` OGNL: Password for the above user name.
`java.lang.String` | `getVssUser()` OGNL: User name to use to login the above sourcesafe database.
`void` | `setDateTimeFormat(java.lang.String dateTimeFormat)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `setSsExePath(java.lang.String ssExePath)`
`void` | `setVssDbPath(java.lang.String vssDbPath)`
`void` | `setVssPassword(java.lang.String vssPassword)`
`void` | `setVssUser(java.lang.String vssUser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VssRepositoryFacade

    public VssRepositoryFacade()

Method Detail

### getVssDbPath

    public java.lang.String getVssDbPath()

  OGNL: The directory where your srcsafe.ini resides in. For example: \\\\machine1\\directory1. NOTE: You should login to the remote machine first (In this case, machine1).
  Warning: In order to work with Sourcsafe repository, you need to run the application server (Tomcat by default) that hosts QuickBuild as a foreground process (instead of NT service).

### setVssDbPath

    public void setVssDbPath(java.lang.String vssDbPath)

### getVssUser

    public java.lang.String getVssUser()

  OGNL: User name to use to login the above sourcesafe database.

### setVssUser

    public void setVssUser(java.lang.String vssUser)

### getVssPassword

    public java.lang.String getVssPassword()

  OGNL: Password for the above user name.

### setVssPassword

    public void setVssPassword(java.lang.String vssPassword)

### getSsExePath

    public java.lang.String getSsExePath()

  OGNL: Path to your ss.exe. For example: C:\\Program Files\\Microsoft Visual Studio\\Common\\VSS\\win32\\ss.exe. It should be specified here, if it does not exist in the system path.

### setSsExePath

    public void setSsExePath(java.lang.String ssExePath)

### getDateTimeFormat

    public java.lang.String getDateTimeFormat()

  OGNL: Specify the date time format used for the Sourcesafe history command. To determine the correct date time format, take a look at language version of your Windows operating system, and then choose corresponding language from the drop down menu. For languages not listed here, or if you are using date time format other than the default one, please refer to the user's guide on how to specify this value.

### setDateTimeFormat

    public void setDateTimeFormat(java.lang.String dateTimeFormat)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.